<?php

  include_once('config.php');
  include_once('square_functions.php');

?>
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <style type="text/css">
      body {
        padding-top: 20px;
        padding-bottom: 40px;
      }

      /* Custom container */
      .container-narrow {
        margin: 0 auto;
        max-width: 700px;
      }
      .container-narrow > hr {
        margin: 30px 0;
      }

      /* Main marketing message and sign up button */
      .jumbotron {
        margin: 60px 0;
        text-align: center;
      }
      .jumbotron h1 {
        font-size: 72px;
        line-height: 1;
      }
      .jumbotron .btn {
        font-size: 21px;
        padding: 14px 24px;
      }

      /* Supporting marketing content */
      .marketing {
        margin: 60px 0;
      }
      .marketing p + h4 {
        margin-top: 28px;
      }
    </style>


    <title>CashEAR - POS Voice Assistant</title>
  </head>
  <body>

    <div class="container-narrow">

      <div class="masthead">
        <h3 class="muted" style="text-align:center;"><img src="img/cashear-logo.png" height="250px" alt="CashEAR" /></h3>
      </div>

      <hr>

      <? if(isset($_GET['error'])){ // ?>
      <div class="jumbotron" style="background-color: yellow;">
        <h4> Whoops :(</h4>
        <p class="lead"><?=strip_tags($_GET['error']); ?></p>
      </div>
      <? } ?>

      <div class="jumbotron">
        <h4> Want to give it a try? </h4>
        <p class="lead">All you need to do is login with your Square account to get started.</p>
        <a class="btn btn-large btn-success" href="<?=get_oauth_url(); ?>">Connect a Square Account</a>
      </div>

      <hr>

      <div class="row-fluid marketing">
        <div class="span6">
          <h4>Voice Control</h4>
          <p>Send an order to a square terminal hands-free.</p>

          <h4>Clinq!</h4>
          <p>Have dynamic audio feedback for when your customers tip and add them to a generous customer group.</p>

        </div>

      </div>

      <hr>

      <div class="footer">
        <p>&copy; Payable Inc 2021</p>
      </div>

    </div> <!-- /container -->

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>
